## python-xmlschema 4.1.0

=== doc/requirements.txt ===
Sphinx==7.2.6
sphinx-rtd-theme==2.0.0
readthedocs-sphinx-search==0.3.2
elementpath

## python-xmlschema 1.4.2

=== debian/changelog ===
python-xmlschema (1.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
    Changes-By: lintian-brush
    Fixes: lintian: tab-in-license-text
    See-also: https://lintian.debian.org/tags/tab-in-license-text.html

  [ Christian Kastner ]
  * New upstream release.
  * Bump python3-elementtree dependency to 2.1.2

 -- Christian Kastner <ckk@debian.org>  Wed, 27 Jan 2021 01:34:13 +0100

python-xmlschema (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright

 -- Christian Kastner <ckk@debian.org>  Tue, 12 Jan 2021 21:28:04 +0100

python-xmlschema (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop obsolete patches
  * Bump elementpath Build-Depends to  >= 2.0.4
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Update test preparation in d/rules and autopkgtest.
    (Closes: #975412, #975525, #975811)

 -- Christian Kastner <ckk@debian.org>  Wed, 25 Nov 2020 22:52:50 +0100

python-xmlschema (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5

 -- Christian Kastner <ckk@debian.org>  Thu, 15 Oct 2020 00:03:21 +0200

python-xmlschema (1.2.2-2) unstable; urgency=medium

  * Update Maintainer and Vcs-* for new Debian Python Team
  * wrap-and-sort

 -- Christian Kastner <ckk@debian.org>  Tue, 22 Sep 2020 14:26:10 +0200

python-xmlschema (1.2.2-1) unstable; urgency=medium

  * Initial release. Closes: #968151

 -- Christian Kastner <ckk@debian.org>  Sun, 09 Aug 2020 20:13:35 +0200

=== debian/control ===
Source: python-xmlschema
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Kastner <ckk@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               help2man,
               python3-all,
               python3-elementpath (>= 2.1.2),
               python3-lxml,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/sissaschool/xmlschema
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xmlschema.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xmlschema

Package: python3-xmlschema
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: implementation of XML Schema for Python
 This library includes the following features:
 .
   * Full XSD 1.0 and XSD 1.1 support
   * Building of XML schema objects from XSD files
   * Validation of XML instances against XSD schemas
   * Decoding of XML data into Python data and to JSON
   * Encoding of Python data and JSON to XML
   * Data decoding and encoding ruled by converter classes
   * An XPath based API for finding schema's elements and attributes
   * Support of XSD validation modes strict/lax/skip
   * Remote attacks protection by default using an XMLParser that forbids
     entities
 .
 This package contains the Python 3.x version of xmlschema.

Package: python-xmlschema-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-xmlschema
Description: documentation and examples for xmlschema
 This library includes the following features:
 .
   * Full XSD 1.0 and XSD 1.1 support
   * Building of XML schema objects from XSD files
   * Validation of XML instances against XSD schemas
   * Decoding of XML data into Python data and to JSON
   * Encoding of Python data and JSON to XML
   * Data decoding and encoding ruled by converter classes
   * An XPath based API for finding schema's elements and attributes
   * Support of XSD validation modes strict/lax/skip
   * Remote attacks protection by default using an XMLParser that forbids
     entities
 .
 This package contains the documentation for xmlschema.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk


# Copy/generate three artifacts needed by the test suite
export PYBUILD_NAME=xmlschema
define PYBUILD_BEFORE_TEST
  cp setup.py {build_dir}/
  mkdir {build_dir}/doc
  cp doc/conf.py {build_dir}/doc/
endef
export PYBUILD_BEFORE_TEST
export PYBUILD_AFTER_TEST=rm -f {build_dir}/setup.py {build_dir}/doc/conf.py


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy='127.0.0.1:9'
override_dh_auto_build: export https_proxy='127.0.0.1:9'
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

override_dh_auto_install:
	dh_auto_install
	for CMD in xmlschema-json2xml xmlschema-validate xmlschema-xml2json ; \
	do \
		PYTHONPATH=debian/python3-xmlschema/usr/lib/$(shell py3versions -d)/dist-packages/ \
		help2man \
			--version-string $(DEB_VERSION_UPSTREAM) \
			--no-info \
			--output $$CMD.1  \
			--name "REPLACE" \
			debian/python3-xmlschema/usr/bin/$$CMD ;\
	done
	sed -i -e 's/REPLACE/XML to JSON converter/' xmlschema-xml2json.1
	sed -i -e 's/REPLACE/XML validator/' xmlschema-validate.1
	sed -i -e 's/REPLACE/JSON to XML converter/' xmlschema-json2xml.1

override_dh_installdocs:
	dh_installdocs --package=python-xmlschema-doc --doc-main-package=python3-xmlschema
	dh_installdocs --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/_build
	rm -f unicode_categories.json xmlschema/unicode_categories.json
	rm -f *.1

## python-xmlschema 1.10.0

=== debian/changelog ===
python-xmlschema (1.10.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1007820)
    - Add python3-jinja2 to dependencies
    - Update package description
    - Require python-elementpath >= 2.5.0
  * Add Skip-failing-packaging-test.patch
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Christian Kastner <ckk@debian.org>  Thu, 17 Feb 2022 16:11:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christian Kastner <ckk@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
                python3-all,
-               python3-elementpath (>= 2.1.2),
+               python3-elementpath (>= 2.5.0),
+               python3-jinja2,
                python3-lxml,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/sissaschool/xmlschema
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xmlschema.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xmlschema
@@ -34,6 +35,8 @@
    * Support of XSD validation modes strict/lax/skip
    * Remote attacks protection by default using an XMLParser that forbids
      entities
+   * XML data bindings based on DataElement class
+   * Static code generation with Jinja2 templates
  .
  This package contains the Python 3.x version of xmlschema.
 
@@ -55,5 +58,7 @@
    * Support of XSD validation modes strict/lax/skip
    * Remote attacks protection by default using an XMLParser that forbids
      entities
+   * XML data bindings based on DataElement class
+   * Static code generation with Jinja2 templates
  .
  This package contains the documentation for xmlschema.

=== debian/rules ===
--- 
+++ 
@@ -46,9 +46,6 @@
 	dh_installdocs --package=python-xmlschema-doc --doc-main-package=python3-xmlschema
 	dh_installdocs --remaining-packages
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf doc/_build

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do echo "Testing with $py:"
 ; $py -m unittest discover -v
 ; done
Depends: python3-all, python3-elementpath (>= 2.1.2), python3-lxml, python3-xmlschema
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/python-xmlschema-$1\.tar\.gz/" \
  https://github.com/sissaschool/xmlschema/releases .*/v(\d\S*)\.tar\.gz

## python-xmlschema 3.3.1

=== debian/changelog ===
python-xmlschema (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to remove 2 broken tests, fixing FTBFS (Closes: #1073436).

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Jul 2024 08:34:56 +0200

python-xmlschema (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Apr 2024 22:28:10 +0200

python-xmlschema (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.0
  * Update patches
    - Drop Fix-encoding.patch (obsolete)
    - Drop Refactor-_PurePath-to-not-use-PurePath-internals.patch (obsolete)
  * Bump python3-elementpath minimum version
  * Migrate to PEP 517 build

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 22:40:32 +0200

python-xmlschema (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.1
  * Update patches
    - Drop Fix-new-elementpath-context-iter.patch (obsolete)
  * Bump Standards-Version to 4.7.0
  * Migrate to autopkgtest-pkg-pybuild
  * Update debian/rules

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 12:56:50 +0200

python-xmlschema (1.10.0-7) unstable; urgency=medium

  * Team upload.
  * Do not use PurePath implementation details (Closes: #1056446)
  * Fix test setup in d/rules

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Dec 2023 15:54:47 +0100

python-xmlschema (1.10.0-6) unstable; urgency=medium

  * disabled some tests, rather than executing them conditionnally after
    the success of "wget http://example.com". Closes: #1034751

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 25 Apr 2023 17:29:03 +0200

python-xmlschema (1.10.0-5) unstable; urgency=medium

  * created a target "override_dh_auto_clean" in d/rules to copy the
    file mypy.ini to the build directory of pybuild, so tests based
    on mypy get a chance of success.
  * patched the file tests/test_package.py in order to enforce
    encoding="utf-8" for calls of fileinput.input, which may be
    necessary with git-build-package in a chroot.
  * patched xmlschema/testing/_builders.py and tests/test_xpath.py
    to check whether there is Internet access prior to check structures
    requiring to retreive schemas from http://example.com; added a
    build-dependency on wget.
  * those three changes should be sufficient, so it Closes: #1027439

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Apr 2023 16:24:29 +0200

python-xmlschema (1.10.0-4) unstable; urgency=medium

  * created the debian patch d/Fix-tests.patch, which modifies two tests:
    xmlschema/testing/_builders.py with a true fix, and
    tests/test_typing.py which is just disabled (not a true fix).
    Closes: #1027439

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Apr 2023 10:58:29 +0200

python-xmlschema (1.10.0-3) unstable; urgency=medium

  * Fix patch description
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Fix d/watch URL
  * Bump copyright

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Dec 2022 20:47:28 +0100

python-xmlschema (1.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-xmlschema-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 01:42:02 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=xmlschema

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH="$(shell pybuild --print {build_dir} --interpreter python3)" http_proxy="127.0.0.1:9" https_proxy="127.0.0.1:9" \
	$(MAKE) -C doc html 
endif

execute_after_dh_auto_install:
	for CMD in xmlschema-json2xml xmlschema-validate xmlschema-xml2json ; \
	do \
		PYTHONPATH="debian/python3-xmlschema/$(shell pybuild --print {install_dir} --interpreter python3)" \
		help2man \
			--version-string $(DEB_VERSION_UPSTREAM) \
			--no-info \
			--output $$CMD.1  \
			--name "REPLACE" \
			debian/python3-xmlschema/usr/bin/$$CMD ;\
	done
	sed -i -e 's/REPLACE/XML to JSON converter/' xmlschema-xml2json.1
	sed -i -e 's/REPLACE/XML validator/' xmlschema-validate.1
	sed -i -e 's/REPLACE/JSON to XML converter/' xmlschema-json2xml.1

override_dh_installdocs:
	dh_installdocs --package=python-xmlschema-doc --doc-main-package=python3-xmlschema
	dh_installdocs --remaining-packages

## python-xmlschema 3.4.2

=== debian/changelog ===
python-xmlschema (3.4.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 23 Sep 2024 04:56:11 +0000

python-xmlschema (3.4.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 3.4.2.
  * Update patches
    - Drop 003-fix-test-pickle-error-py13.patch (fixed by upstream).

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 18 Sep 2024 21:05:49 +0000

python-xmlschema (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.2.
  * Update patches
    - Drop removed-currently-broken-test.patch (fixed by upstream).
  * d/rules: remove trailing whitespace.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 19 Aug 2024 02:00:00 +0000

python-xmlschema (3.3.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS -pickle error in test. (Closes: #1078364)

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 19 Aug 2024 00:30:00 +0000

## python-xmlschema 3.4.3

=== debian/changelog ===
python-xmlschema (3.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.3.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 10 Nov 2024 19:27:53 +0000

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,24 @@
 Uploaders: Christian Kastner <ckk@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       dh-sequence-python3,
+	       dh-sequence-sphinxdoc,
                help2man,
+	       pybuild-plugin-pyproject,
                python3-all,
-               python3-elementpath (>= 2.5.0),
+               python3-elementpath (>= 4.4.0),
                python3-jinja2,
                python3-lxml,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+	       wget,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/sissaschool/xmlschema
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xmlschema.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xmlschema
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-xmlschema
 Architecture: all
@@ -45,6 +50,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python3-xmlschema
+Multi-Arch: foreign
 Description: documentation and examples for xmlschema
  This library includes the following features:
  .

## python-xmlschema 3.4.5

=== debian/changelog ===
python-xmlschema (3.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.5.
  * Update patch to fit new upstream version.
  * d/control: bump Standards-Version to 4.7.2.
  * Add d/salsa-ci.yml.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 01 Apr 2025 01:17:09 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
 	       wget,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sissaschool/xmlschema
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xmlschema.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xmlschema

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 execute_after_dh_auto_build:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH="$(shell pybuild --print {build_dir} --interpreter python3)" http_proxy="127.0.0.1:9" https_proxy="127.0.0.1:9" \
-	$(MAKE) -C doc html 
+	$(MAKE) -C doc html
 endif
 
 execute_after_dh_auto_install:
@@ -32,4 +32,3 @@
 override_dh_installdocs:
 	dh_installdocs --package=python-xmlschema-doc --doc-main-package=python3-xmlschema
 	dh_installdocs --remaining-packages
-

## python-xmlschema 4.1.0

=== debian/changelog ===
python-xmlschema (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.1.0
  * python3-elementpath minimum version is 5.0.1 now

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Aug 2025 10:38:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                help2man,
 	       pybuild-plugin-pyproject,
                python3-all,
-               python3-elementpath (>= 4.4.0),
+               python3-elementpath (>= 5.0.1),
                python3-jinja2,
                python3-lxml,
                python3-setuptools,

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/python-xmlschema-$1\.tar\.gz/" \
  https://github.com/sissaschool/xmlschema/tags .*/v(\d\S*)\.tar\.gz
